module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    'plugin:vue/essential',
    '@vue/standard'
  ],
  parserOptions: {
    parser: 'babel-eslint'
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-undef':'off',
    'no-unused-vars':'off',
    'camelcase':'off',
    'quotes': 'off',
    'semi': 'off',
    'space-before-function-paren': 'off',
    'comma-dangle': 'off',
    'no-const-assign': 'off'
  }
}
