import Axios from '@/axios/request'

// 定员考勤列表 1、待确认，2、已确认
export function constructionAttebdabceList (params) {
  return Axios({
    url: '/constructionPda/constructionAttebdabceList',
    method: 'get',
    params
  })
}

// 考勤详情
export function getAttendanceDetails (params) {
  return Axios({
    url: '/constructionPda/getAttendanceDetails',
    method: 'get',
    params
  })
}

// 考勤主页 定员/承包商
export function getConstructionAttebdabce (params) {
  return Axios({
    url: '/constructionPda/getConstructionAttebdabce',
    method: 'get',
    params
  })
}

// 保存考勤详细数据
export function updateAttebdabceDetail (data) {
  return Axios({
    url: '/constructionPda/updateAttebdabceDetail',
    method: 'post',
    data
  })
}

// 图片、语音转url
export function upload (data) {
  return Axios({
    url: '/minio/upload',
    method: 'post',
    data: data
  })
}
