import Axios from '@/axios/request'

// 正在施工列表
export function constructionList (params) {
  return Axios({
    url: '/constructionPda/complement/constructionList',
    method: 'get',
    params
  })
}

// 移动监管列表
export function queryMonitorBallList (params) {
  return Axios({
    url: '/constructionPda/queryMonitorBallList',
    method: 'get',
    params
  })
}

// 定员查看问题录入项目
export function questionEntryQuery (params) {
  return Axios({
    url: '/constructionPda/questionEntryQuery',
    method: 'get',
    params
  })
}

// 定员通过查询到的项目中平台ID获取甲板
export function getDeckList (params) {
  return Axios({
    url: '/constructionPda/getDeckList',
    method: 'get',
    params
  })
}

// 定员录入项目问题
export function constructionProblems (data) {
  return Axios({
    url: '/constructionPda/contractor/constructionProblems',
    method: 'post',
    data
  })
}

export function getConstructionPlatformList (params) {
  return Axios({
    url: '/constructionPda/getConstructionPlatformList',
    method: 'get',
    params
  })
}
