import Axios from '@/axios/request'

// 打卡式巡检
// 巡检列表列表
export function getPdaPatrolLocationList (params) {
  return Axios({
    url: '/pdaPatrol/getPdaPatrolLocationList',
    method: 'get',
    params
  })
}
// 获取消息列表
export function getMessageBoxSList (params) {
  return Axios({
    url: '/pdaPatrol/getMessageBoxSList',
    method: 'get',
    params
  })
}
export function getAttendanceDetails (params) {
  return Axios({
    url: '/constructionPda/getAttendanceDetails',
    method: 'get',
    params
  })
}
export function uploadUrl (params) {
  return Axios({
    url: '/minio/uploadUrl',
    method: 'get',
    params
  })
}
// 查询巡检问题列表
export function getProblemInformationList (params) {
  return Axios({
    url: '/pdaPatrol/getProblemInformationList',
    method: 'get',
    params
  })
}
// 确认转派人员
export function designatedProcessor (params) {
  return Axios({
    url: '/pdaPatrol/designatedProcessor',
    method: 'get',
    params
  })
}
// 查询转派人员
export function getSysUserToMajor (params) {
  return Axios({
    url: '/pdaPatrol/getSysUserToMajor',
    method: 'get',
    params
  })
}
// 查询巡检问题列表数量统计
export function getProblemInfoCheckCount (params) {
  return Axios({
    url: '/pdaPatrol/getProblemInfoCheckCount',
    method: 'get',
    params
  })
}
// 查询消息数量统计
export function getMessageBoxCount (params) {
  return Axios({
    url: '/pdaPatrol/getMessageBoxCount',
    method: 'get',
    params
  })
}
// 查询巡检检查列表
export function getProblemInfoCheckList (params) {
  return Axios({
    url: '/pdaPatrol/getProblemInfoCheckList',
    method: 'get',
    params
  })
}
// 查询巡检时间列表
export function getPdaPatrolTimeList (params) {
  return Axios({
    url: '/pdaPatrol/getPdaPatrolTimeList',
    method: 'get',
    params
  })
}
// 查询巡检详情当前项
export function getProblemInfoById (params) {
  return Axios({
    url: '/pdaPatrol/getProblemInfoById',
    method: 'get',
    params
  })
}
// export function getPdaPatrolTimeList (params) {
//   return Axios({
//     url: 'http://192.168.3.47:9621/TestController/getPdaPatrolTimeList',
//     method: 'get',
//     params
//   })
// }
// nfc打卡
export function nfcClockPatrol (params) {
  return Axios({
    url: '/pdaPatrol/nfcClockPatrol',
    method: 'get',
    params
  })
}
// 巡检异常上报
export function savePdaPatrolLocation (data) {
  return Axios({
    url: '/pdaPatrol/savePdaPatrolLocation',
    method: 'post',
    data: data
  })
}
// 临时整改措施
export function saveTemporary (data) {
  return Axios({
    url: '/pdaPatrol/saveTemporary',
    method: 'post',
    data: data
  })
}
// 图片、语音转url
export function upload (data) {
  return Axios({
    url: '/minio/upload',
    method: 'post',
    data: data
  })
}
// url转base64
export function getImageOfMinio (data) {
  return Axios({
    url: `/minio/getImageOfMinio?fileName=${data}`,
    method: 'post'
  })
}
// export function savePdaPatrolLocation (data) {
//   return Axios({
//     url: 'http://192.168.3.47:9621/TestController/savePdaPatrolLocation',
//     method: 'post',
//     data: data
//   })
// }

// 获取平台
export function getPlatform () {
  return Axios({
    url: '/constructionApplication/getPlatform',
    method: 'get'
  })
}
