import Axios from '@/axios/request'

// const baseUrl = '/samagg'
// const baseUrl = ''

// 定员查询所有的项目日报集合
export function queryDailyList (params) {
  return Axios({
    url: '/constructionPda/queryDailyList',
    method: 'get',
    params
  })
}

// 承包商/定员通过项目号查询日报列表，定员不需要传输status
export function queryDailyListByProjectNo (params) {
  return Axios({
    url: '/constructionPda/queryDailyListByProjectNo',
    method: 'get',
    params
  })
}

// 承包商/定员通过日报ID查询日报详情
export function queryDailyById (params) {
  return Axios({
    url: '/constructionPda/queryDailyById',
    method: 'get',
    params
  })
}

// 定员日报驳回
export function approveDailyById (params) {
  return Axios({
    url: '/constructionPda/approveDailyById',
    method: 'get',
    params
  })
}
