import Axios from '@/axios/request'

// 五想五不干获取页面数据
export function getPreConstructionInspection (params) {
  return Axios({
    url: '/constructionPda/complement/getPreConstructionInspection',
    method: 'get',
    params
  })
}

// 承包商保存施工完工报告
export function savePreConstructionInspection (data) {
  return Axios({
    url: '/constructionPda/complement/savePreConstructionInspection',
    method: 'post',
    data: data
  })
}

// 图片、语音转url
export function upload (data) {
  return Axios({
    url: '/minio/upload',
    method: 'post',
    data: data
  })
}
// 获取base64
export function getImageOfMinio (params) {
  return Axios({
    url: `/minio/getImageOfMinio?fileName=${params}`,
    method: 'post'
  })
}

// 施工前检查PDA定员查询项目
export function getWorkName (params) {
  return Axios({
    url: `/constructionPda/complement/getWorkName`,
    method: 'get',
    params
  })
}
