import Axios from '@/axios/request.js'
const baseUrl = ''
export default {
  // 施工评价查看详情
  queryEvaluationPerformance (params) {
    return Axios({
      url: baseUrl + '/constructionPda/construction/queryEvaluationPerformance',
      method: 'get',
      params: params
    })
  },
  // 施工评价查看详情
  getProcessInformation (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getProcessInformation',
      method: 'get',
      params: params
    })
  },
  // 定员查看项目问题
  getConstructionProblems (params) {
    return Axios({
      url: baseUrl + '/constructionPda/contractor/getConstructionProblems',
      method: 'get',
      params: params
    })
  },
  // 操作记录详情
  getConstructionNodeLogs (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getConstructionNodeLogs',
      method: 'get',
      params: params
    })
  },
  // 操作记录
  constructionList (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/constructionList',
      method: 'get',
      params: params
    })
  }
}
