import Axios from '@/axios/request'

// 定员查看启动单列表
export function getConstructionStartFlowLog (params) {
  return Axios({
    url: '/constructionPda/complement/getConstructionStartFlowLog',
    method: 'get',
    params
  })
}

// 撤回
export function withdrawSignature (data) {
  return Axios({
    url: '/constructionPda/withdrawSignature',
    method: 'post',
    data
  })
}

// 总监关闭项目
export function directorClosesProject (params) {
  return Axios({
    url: '/constructionPda/directorClosesProject',
    method: 'get',
    params
  })
}

// 定员通过项目号查询启动单审批详情
export function getFlowLogByProjectNo (params) {
  return Axios({
    url: '/constructionPda/complement/getFlowLogByProjectNo',
    method: 'get',
    params
  })
}
export function getImageOfMinio (params) {
  return Axios({
    url: `/minio/getImageOfMinio?fileName=${params}`,
    method: 'post'
  })
}
// 定员审批启动单数据
export function approvalConstructionStartFlowLog (data) {
  return Axios({
    url: `/constructionPda/complement/approvalConstructionStartFlowLog?projectNo=${data.projectNo}`,
    method: 'post',
    data: data.queryList
  })
}
// 图片、语音转url
export function upload (data) {
  return Axios({
    url: '/minio/upload',
    method: 'post',
    data: data
  })
}
